/************************************** 0. General stuff */

* {
    box-sizing: border-box;
    margin: 0;
    border: 0;
    padding: 0;
    font-family: var(--alias-typo-font-family-body-font-face-name, sans-serif);
    color: var(--alias-color-text-body-base, #f0f0f0);
    transition: all 0.25s ease-in-out;
}

body,
navigation,
main {
    position: absolute;
}

body {
    inset: 0;
    font-size: larger;
    line-height: 1.5;
    background-color: var(--alias-color-background-app, #404040);
}

h1,
h2,
h1 em,
h2 em {
    margin-bottom: 2rem;
    line-height: 1;
    color: var(--alias-color-text-body-stronger, white);
}

h1 {
    margin-right: 2rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

p {
    line-height: 1.2;
    margin-bottom: .5rem;
}

pre,
code,
pre strong {
    font-family: monospace;
    background-color: var(--alias-color-background-backdrop-secondary-base, #606000);
    line-height: 1.2;
}

pre {
    padding: .1rem 1rem;
}

code {
    padding: .1rem .2rem;
}

/************************************** 1. Sidebar */

navigation {
    left: 0;
    top: 0;
    bottom: 0;
    padding: 2rem 0 2rem 2rem;
    width: 33%;
    background-color: var(--alias-color-background-backdrop-secondary-base, #202020);
}

navigation li {
    padding: .1rem 2rem .1rem 1rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    /* color: white; */

}

navigation a {
    text-decoration: none;
}

navigation a:focus,
navigation a:hover,
navigation a:active {
    text-decoration: underline;
}

navigation li:target {
    background-color: var(--alias-color-background-app, #404040);
}

navigation .description {
    font-size: smaller;
    color: var(--alias-color-text-body-weak, #c0c0c0);
}

#themeMenu {
    margin: 8rem 2rem 0 0;
}

fieldset.independent {
    margin-bottom: 1rem;
}

/************************************** 2. Stage */

main {
    right: 0;
    top: 0;
    bottom: 0;
    padding: 1rem 2rem;
    width: 67%;
    background-color: var(--alias-color-background-app, #404040);
}

main.warning {
    border-style: solid;
    border-width: .5rem;
    color: orange;
}

main.alert {
    border-style: dashed;
    border-width: 1rem;
    animation: alert .5s ease-in-out infinite alternate;
}

#canvas {
    margin-top: 2rem;
    min-height: 12rem;
}

.react {
    min-height: 12rem;
    padding: 2rem;
    font-size: larger;
    text-align: center;
    background-color: var(--alias-color-background-backdrop-secondary-base, #606060);
}

.react p {
    color: var(--alias-color-text-body-stronger, white);
}

@keyframes alert {
    from {
        border-color: transparent;
    }

    to {
        border-color: red;
    }
}

/************************************** 3. Time control */

aside {
    position: fixed;
    bottom: 2rem;
    left: 25%;
    width: 50%;
    padding: 1rem;
    border-radius: 1rem;
    background-color: var(--alias-color-background-app, #404040);
    box-shadow: 0 0 1rem var(--alias-color-text-body-base, #c0c0c0);
}

aside h2 {
    margin-bottom: .5rem;
}

input[type="range"] {
    width: 100%;
    margin: 1rem 0;
}

#timeLabel {
    float: right;
    width: 50%;
    padding-left: 2rem;
    margin: 0;
}

/************************************** 4. Tweaks after CSS reset */

body.tiny {
    font-size: 200%;
}

body.tiny h1 {
    font-size: 150%;
    font-weight: bold;
}

body.tiny h2 {
    font-size: 125%;
    font-weight: bold;
}